Subject: Problems running Maxima under CLISP

From: [email-masked] (Peter C Olsen)
Date: Thu, 27 Jan 94 22:40:15 EST

I'm looking for help running maxima under CLISP.  I've built it in
accordance with the instructions, but I can't get it to work
consistently.  Some of the commands work (mostly the directly numeric
ones) but others don't work at all --- with DESCRIBE, HELP, and
APROPOS being the most painful absences.

This is probably due to catastrophic user failure, so any help would
be greatly appreciated.

Here's a sample ...

CLISP January 1994
Maxima 4.153 Sun Aug 19 12:02:38 CDT 1990 (with enhancements by W.
Schelter).
(C1) 10!;
(D1) 				    3628800
(C2) 10!!;
(D2) 			       GENFACT(10, 5, 2)
(C3) GENFACT(10, 5, 2);
(D3) 				     3840
(C4) DESCRIBE(HELP);
(D4) 			        DESCRIBE(HELP)
(C5) APROPOS(TRIG);
(D5) 				 APROPOS(TRIG)
(C6) ENTIER(34.5);
(D6) 				 ENTIER(34.5)
(C7) ABS(-5);
(D7) 				       5
(C8) EXP(5);
					5
(D8) 				      %E
(C9) EXIT();
(D9) 				    EXIT()
(C10)

   Peter Olsen, n2ell, [email-masked]  ...!uunet!super!pcolsen
         P.O. Box 410, Simpsonville, MD 21150-0410; 410-997-8584
     "Engineering is the art of applying a professional knowledge of
   mathematics and the physical sciences to improve the quality of life"